0 Пользователей и 1 Гость просматривают эту тему.
  • 10 Ответов
  • 4219 Просмотров
*

Ed111

  • Новичок
  • 9
  • 0 / 0
Хостинг собственный, FreeBSD. Ошибка возникает при попытке обновиться через админку.
Расширения-Менеджер расширений-Обновления-пишет: В данный момент обновления отсутствуют. Пожалуйста, проверьте еще раз позже.
Жму вверху "Найти обновления" - вываливается с ошибкой (тема).
PHP собран из портов. Опции при сборке:
 
Код
 +---------------------------- php5-5.4.24 ------------------------------+
  | +-------------------------------------------------------------------+ |
  | | [x] CLI        Build CLI version                                  | |
  | | [x] CGI        Build CGI version                                  | |
  | | [ ] FPM        Build FPM version                                  | |
  | | [x] APACHE     Build Apache module                                | |
  | | [ ] AP2FILTER  Use Apache 2.x filter interface (experimental)     | |
  | | [ ] EMBED      Build embedded library                             | |
  | | [ ] DEBUG      Enable debug                                       | |
  | | [ ] DTRACE     Enable DTrace support                              | |
  | | [ ] IPV6       Enable ipv6 support                                | |
  | | [ ] MAILHEAD   Enable mail header patch                           | |
  | | [x] LINKTHR    Link thread lib (for threaded extensions)          | |
  | +-------------------------------------------------------------------+ |
  +-----------------------------------------------------------------------+
  |                     <  OK  >           <Cancel>                       |
  +-----------------------------------------------------------------------+
Что не так?
« Последнее редактирование: 08.02.2014, 12:20:03 от b2z »
*

Ed111

  • Новичок
  • 9
  • 0 / 0
Если бы Joomla была бы не при чем, то и и ошибку давала бы не она, а апач например или php.
Я и спрашиваю, какого расширения не хватает и как его доставить? Установка делалась по мануалу http://docs.joomla.org/FreeBSD_Installation

Можно ли тупо переписать все файлы, сохранив предварительно configuration.php?
Версия Joomla 3.1.5
*

b2z

  • Глобальный модератор
  • 6936
  • 753 / 0
  • Разраблю понемногу
*

Ed111

  • Новичок
  • 9
  • 0 / 0
Прикрутил php5-openssl, ошибки не дает, но и не обновляется.
Скажите, что не так делаю? Автоматически должен движок обновиться, если я нажимаю Расширения-Менеджер расширений-Обновления?
Или мне с 3.1.5 надо сначала до 3.2.0 обновиться, а потом только до 3.2.2?
*

capricorn

  • Завсегдатай
  • 1782
  • 113 / 3
phpinfo() можно посмотреть? Это для начала. Вы пытаетесь обновиться по https наверное - может сервер отказывает вам из-за того, что у вас сертификата SSL нет официального? По http обновляется?

« Последнее редактирование: 08.02.2014, 01:11:43 от capricorn »
*

Ed111

  • Новичок
  • 9
  • 0 / 0
В общем взял я тупо и файлы из архива Joomla_3.2.2-Stable-Full_Package.tar.bz2 распаковал на место старых файлов (версии 3.1.5). Теперь ошибка другая вылезает:
Обнаружена ошибка.
0 SQL=SHOW FULL COLUMNS FROM `ajdz2_postinstall_messages`

phpinfo:
Код
PHP Version 5.4.21


System FreeBSD server.formeweb.ru 9.2-RELEASE FreeBSD 9.2-RELEASE #0 r255898: Thu Sep 26 22:50:31 UTC 2013 root@bake.isc.freebsd.org:/usr/obj/usr/src/sys/GENERIC amd64
Build Date Nov 14 2013 22:10:31
Configure Command './configure' '--with-layout=GNU' '--localstatedir=/var' '--with-config-file-scan-dir=/usr/local/etc/php' '--disable-all' '--enable-libxml' '--enable-mysqlnd' '--with-libxml-dir=/usr/local' '--with-pcre-regex=/usr/local' '--with-zlib-dir=/usr' '--program-prefix=' '--with-apxs2=/usr/local/sbin/apxs' '--with-regex=php' '--with-zend-vm=CALL' '--disable-ipv6' '--prefix=/usr/local' '--mandir=/usr/local/man' '--infodir=/usr/local/info/' '--build=amd64-portbld-freebsd9.2'
Server API Apache 2.0 Handler
Virtual Directory Support disabled
Configuration File (php.ini) Path /usr/local/etc
Loaded Configuration File /usr/local/etc/php.ini
Scan this dir for additional .ini files /usr/local/etc/php
Additional .ini files parsed /usr/local/etc/php/extensions.ini
PHP API 20100412
PHP Extension 20100525
Zend Extension 220100525
Zend Extension Build API220100525,NTS
PHP Extension Build API20100525,NTS
Debug Build no
Thread Safety disabled
Zend Signal Handling disabled
Zend Memory Manager enabled
Zend Multibyte Support disabled
IPv6 Support disabled
DTrace Support disabled
Registered PHP Streams php, file, glob, data, http, ftp, https, ftps, compress.zlib, phar
Registered Stream Socket Transports tcp, udp, unix, udg, ssl, sslv3, sslv2, tls
Registered Stream Filters string.rot13, string.toupper, string.tolower, string.strip_tags, convert.*, consumed, dechunk, convert.iconv.*, zlib.*

Zend logo This program makes use of the [url=http://www.zend.com/]Zend[/url] Scripting Language Engine:
Zend Engine v2.4.0, Copyright (c) 1998-2013 [url=http://www.zend.com/]Zend[/url] Technologies
*

capricorn

  • Завсегдатай
  • 1782
  • 113 / 3
Попробуйте переконфигурировать PHP c open ssl. Должно быть в выводе phpinfo() - раздел OpenSSL.

PS. Нельзя поставить PHP пакетным менеджером, вместе с нужными компонентами, или просто интересно было?

вот, что должно быть у вас.
Спойлер
[свернуть]
SSL видите, чего у вас нет? '--with-openssl'
« Последнее редактирование: 08.02.2014, 01:27:45 от capricorn »
*

Ed111

  • Новичок
  • 9
  • 0 / 0
Да вроде c ssl разобрался, доставил, я ж писал пару постов выше.
Теперь другая ошибка (см. заголовок топика).
ajdz2 - это префикс базы.
Может, что с базой не так? Не пойму, наставьте на путь истинный. ))
*

b2z

  • Глобальный модератор
  • 6936
  • 753 / 0
  • Разраблю понемногу
*

Ed111

  • Новичок
  • 9
  • 0 / 0
Большое счпасибо, bz2!
Все теперь обновлено и актуально.
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Ошибки. Перенесли сайт и он отказывается работать

Автор Ivanich

Ответов: 8
Просмотров: 206
Последний ответ 29.12.2017, 15:32:35
от xpank
Ошибка при обновлении с J 2.5.28 до J 3.4

Автор Lepiloff

Ответов: 6
Просмотров: 844
Последний ответ 10.12.2017, 15:50:40
от zeus07
Ошибка при обновлении Joomla

Автор stupppak

Ответов: 23
Просмотров: 2609
Последний ответ 22.11.2017, 21:48:40
от jesus
Ошибки с установкой языков и расширений после обновления с 3.6.5 до 3.7.1

Автор Belka

Ответов: 7
Просмотров: 1315
Последний ответ 10.11.2017, 10:47:18
от javoronkov.ol
При обновлении выдает: Could not resolve

Автор savir_first

Ответов: 6
Просмотров: 202
Последний ответ 07.11.2017, 18:35:29
от effrit